Bug 975259 - Review Request: grizzly-npn - Grizzly Next Protocol Negotiation API
Review Request: grizzly-npn - Grizzly Next Protocol Negotiation API
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland Grunberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1222828
  Show dependency treegraph
 
Reported: 2013-06-17 20:26 EDT by gil cattaneo
Modified: 2015-05-19 16:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-19 16:54:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rgrunber: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-06-17 20:26:39 EDT
Spec URL: http://gil.fedorapeople.org/grizzly-npn.spec
SRPM URL: http://gil.fedorapeople.org/grizzly-npn-1.0-1.fc18.src.rpm
Description:
A pure Java(TM) implementation of the
Next Protocol Negotiation TLS Extension
for OpenJDK 7 or greater.

NPN allows the application layer to
negotiate which protocol to use over the
secure connection.

Grizzly 2.3.3 Build/Requires

Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5514823
Comment 1 gil cattaneo 2015-04-07 23:51:49 EDT
Spec URL: http://gil.fedorapeople.org/grizzly-npn.spec
SRPM URL: http://gil.fedorapeople.org/grizzly-npn-1.0-1.fc20.src.rpm

- use system JVM jsse apis
- fix felix plugin configuration

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9433467
Comment 3 Roland Grunberg 2015-05-19 13:53:49 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Notes :

- I've confirmed this also builds on rawhide also
- rpmlint complains of no documentation but this is fine given that the rpm description gives an explanation on how to use it. Upstream could always be asked in the future to provide a README in their repo
- This is a maven package that uses proper "BuildRequires: mvn(gid:aid)" where appropriate, avoids patching poms and uses %pom_* macros, along with the proper %mvn_* packaging macros

[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
Hopefully upstream plans to provide such a license in the repo itself (I see that their sources include it) so it shouldn't be too difficult.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2)", "Unknown or generated". 6 files have unknown
     license. Detailed output of licensecheck in /notnfs/tmp/review/975259
     -grizzly-npn/licensecheck.txt

     According to https://grizzly.java.net/license.html, this is dual licensed
     under GPL V2 and CDDL 1.1 so this is fine
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-poms/grizzly-npn
     
     All folders under /usr/share/maven-poms/ don't seem to be owned by a
     package so this must be an acceptable result of Maven packaging using
     the macros.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-poms/grizzly-
     npn, /usr/share/java/grizzly-npn

     # rpm -qf /usr/share/java/grizzly-npn/
     grizzly-npn-1.2-1.fc21.noarch
[x]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
Automatically generated during %mvn_install phase
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in grizzly-
     npn-bootstrap , grizzly-npn-osgi , grizzly-npn-javadoc

     Dependencies to other subpackages generated by %mvn_install phase.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments

     Comments describe method for tarball generation.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: grizzly-npn-1.2-1.fc21.noarch.rpm
          grizzly-npn-bootstrap-1.2-1.fc21.noarch.rpm
          grizzly-npn-osgi-1.2-1.fc21.noarch.rpm
          grizzly-npn-javadoc-1.2-1.fc21.noarch.rpm
          grizzly-npn-1.2-1.fc21.src.rpm
grizzly-npn.noarch: W: no-documentation
grizzly-npn-bootstrap.noarch: W: spelling-error %description -l en_US bootclasspath -> crosspatch
grizzly-npn-bootstrap.noarch: W: no-documentation
grizzly-npn-osgi.noarch: W: spelling-error %description -l en_US bootclasspath -> crosspatch
grizzly-npn-osgi.noarch: W: spelling-error %description -l en_US glassfish -> glass fish, glass-fish, glassful
grizzly-npn-osgi.noarch: W: spelling-error %description -l en_US classloading -> class loading, class-loading, classifying
grizzly-npn-osgi.noarch: W: spelling-error %description -l en_US spdy -> spy, spay, spry
grizzly-npn-osgi.noarch: W: no-documentation
grizzly-npn.src: W: invalid-url Source0: grizzly-npn-1.2.tar.xz
5 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
grizzly-npn-osgi.noarch: W: spelling-error %description -l en_US bootclasspath -> crosspatch
grizzly-npn-osgi.noarch: W: spelling-error %description -l en_US glassfish -> glass fish, glass-fish, glassful
grizzly-npn-osgi.noarch: W: spelling-error %description -l en_US classloading -> class loading, class-loading, classifying
grizzly-npn-osgi.noarch: W: spelling-error %description -l en_US spdy -> spy, spay, spry
grizzly-npn-osgi.noarch: W: no-documentation
grizzly-npn.noarch: W: no-documentation
grizzly-npn-bootstrap.noarch: W: spelling-error %description -l en_US bootclasspath -> crosspatch
grizzly-npn-bootstrap.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
grizzly-npn-osgi (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils

grizzly-npn-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

grizzly-npn (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils

grizzly-npn-bootstrap (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.glassfish.grizzly:grizzly-npn-api)



Provides
--------
grizzly-npn-osgi:
    grizzly-npn-osgi
    mvn(org.glassfish.grizzly:grizzly-npn-osgi)
    mvn(org.glassfish.grizzly:grizzly-npn-osgi:pom:)
    osgi(org.glassfish.grizzly.npn-osgi)

grizzly-npn-javadoc:
    grizzly-npn-javadoc

grizzly-npn:
    grizzly-npn
    mvn(org.glassfish.grizzly:grizzly-npn-api)
    mvn(org.glassfish.grizzly:grizzly-npn-api:pom:)
    mvn(org.glassfish.grizzly:grizzly-npn:pom:)

grizzly-npn-bootstrap:
    grizzly-npn-bootstrap
    mvn(org.glassfish.grizzly:grizzly-npn-bootstrap)
    mvn(org.glassfish.grizzly:grizzly-npn-bootstrap:pom:)
    osgi(org.glassfish.grizzly.npn-bootstrap)



Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 975259 -P Java:on
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


================
*** APPROVED ***
================
Comment 4 gil cattaneo 2015-05-19 15:28:24 EDT
(In reply to Roland Grunberg from comment #3)

> [?]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> Hopefully upstream plans to provide such a license in the repo itself (I see
> that their sources include it) so it shouldn't be too difficult.

Asked upstream to add license file: https://java.net/jira/browse/GRIZZLY-1770
Comment 5 gil cattaneo 2015-05-19 15:33:29 EDT
Thanks!

New Package SCM Request
=======================
Package Name: grizzly-npn
Short Description: Grizzly Next Protocol Negotiation API
Upstream URL: https://grizzly.java.net/spdy.html
Owners: gil
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2015-05-19 16:02:15 EDT
Git done (by process-git-requests).
Comment 7 gil cattaneo 2015-05-19 16:54:35 EDT
Thanks!

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9796113

Note You need to log in before you can comment on or make changes to this bug.